/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import java.util.List;
import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * @author CBO
 */
public class InitParametersDTO implements IsSerializable {

    private String searchSessionId;
    private List<LabelValueDTO> collectivites;
    private List<LabelValueDTO> firstCollectiviteBudgets;
    //private List<CritereTypeDTO> critereTypes;
    private SearchInitParametersDTO searchInitParameters;

    public InitParametersDTO() {
    }

    public InitParametersDTO(String searchSessionId, List<LabelValueDTO> collectivites, List<LabelValueDTO> firstCollectiviteBudgets, /*List<CritereTypeDTO> critereTypes, */SearchInitParametersDTO searchInitParameters) {
        this.searchSessionId = searchSessionId;
        this.collectivites = collectivites;
        this.firstCollectiviteBudgets = firstCollectiviteBudgets;
        this.searchInitParameters = searchInitParameters;
        //this.critereTypes = critereTypes;
    }

    public String getSearchSessionId() {
        return searchSessionId;
    }

    public List<LabelValueDTO> getCollectivites() {
        return collectivites;
    }

    public void setCollectivites(List<LabelValueDTO> collectivites) {
        this.collectivites = collectivites;
    }

    /*public List<CritereTypeDTO> getCritereTypes() {
        return critereTypes;
    }

    public void setCritereTypes(List<CritereTypeDTO> critereTypes) {
        this.critereTypes = critereTypes;
    }*/

    public List<LabelValueDTO> getFirstCollectiviteBudgets() {
        return firstCollectiviteBudgets;
    }

    public void setFirstCollectiviteBudgets(List<LabelValueDTO> firstCollectiviteBudgets) {
        this.firstCollectiviteBudgets = firstCollectiviteBudgets;
    }

    public SearchInitParametersDTO getSearchInitParameters() {
        return searchInitParameters;
    }

    public void setSearchInitParameters(SearchInitParametersDTO searchInitParameters) {
        this.searchInitParameters = searchInitParameters;
    }

}
